/*
 * Copyright 2013-2014 aquenos GmbH.
 * All rights reserved.
 * 
 * This program and the accompanying materials are made available under the 
 * terms of the Eclipse Public License v1.0 which accompanies this distribution,
 * and is available at http://www.eclipse.org/legal/epl-v10.html.
 */

package com.aquenos.csstudio.archive.json.reader.internal;

import org.epics.util.time.Timestamp;
import org.epics.vtype.AlarmSeverity;
import org.epics.vtype.Display;
import org.epics.vtype.VDouble;

/**
 * Averaged sample with a single double element.
 * 
 * @author Sebastian Marsching
 */
public class DoubleStatistics extends AbstractStatistics implements VDouble {

    private Double value;

    public DoubleStatistics(Double value, String alarmName,
            AlarmSeverity alarmSeverity, Display display, Double min,
            Double max, Integer nSamples, Double stdDev, Integer timeUserTag,
            Timestamp timestamp, boolean timeValid) {
        super(alarmName, alarmSeverity, display, min, max, nSamples, stdDev,
                timeUserTag, timestamp, timeValid);
        this.value = value;
    }

    @Override
    public Double getAverage() {
        return value;
    }

    @Override
    public Double getValue() {
        return value;
    }

}
